System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.ReferenceConverter

This class implements and by returning the properties through the method of .

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of . Instead, call the method of . For more information, see the examples in the base class.

This converter converts an object that implements and displays its properties in the Properties window.

Provides a type converter to convert components to and from various other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

  A that represents the type to associate with this component converter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.PropertyDescriptorCollection `` `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  The array will be used to filter the array. The can have a mix of and objects. Filtering is defined by the following rules:

  A object will be treated as a wildcard; it will match any property that has the in its set of attributes.

  If a property does not have an of the same class, the property will not be included in the returned array.

  If the attribute is an instance of , the property must be an exact match or it will not be included in the returned array.

  If a instance is specified and it is the default property, it will be included in the returned array even if there is no instance of the in the property.

  Gets a collection of properties for the type of component specified by the value parameter.

  A with the properties that are exposed for the component, or null if there are no properties.

  An that provides a format context. An that specifies the type of component to get the properties for. An array of type that will be used as a filter.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this object supports properties using the specified context.

  true because should be called to find the properties of this object. This method never returns false.

  An that provides a format context.